<?php

namespace App\Modules\TourQuestion\Infrastructure;

use App\Modules\TourQuestion\Domain\TourQuestionRepository;
use App\Modules\Shared\Domain\Storage\Criteria\StorageCriteria;

class MysqlTourQuestionRepository implements TourQuestionRepository
{

    public function search(StorageCriteria $criteria): array
    {
        return $criteria->run();
    }
}
